On 23 Nov 2020, at 06:49, maciejm <[email protected]> wrote:
> "RFC 822 Message-ID is not required"
RFC 822 has been obsoleted several times.
RFC 5322 states:
Though listed as optional in the table in section 3.6, every message
SHOULD have a "Message-ID:" field. Furthermore, reply messages
SHOULD have "In-Reply-To:" and "References:" fields as appropriate
and as described below.
And:
RFC 2119
SHOULD This word, or the adjective "RECOMMENDED", mean that there
may exist valid reasons in particular circumstances to ignore a
particular item, but the full implications must be understood and
carefully weighed before choosing a different course.
So SHOULD is much stronger than "it's a good idea" and much more like "You
better have a really good reason for ignoring this".
I would feel comfortable rejecting messages without a Message-ID.
--
Imagine all the people Sharing all the world